Page MenuHomePhabricator

LDAP access to the (nda) wmf group for sukhe
Closed, ResolvedPublic

Description

Please add me to the nda group so that I can access Turnilo as I need it for the traffic anomaly report (see T219546).

As per https://wikitech.wikimedia.org/wiki/Analytics/Systems/Turnilo-Pivot#Access,

Have a functioning Wikitech login. Just register an account (user and password) in this wiki: http://wikitech.wikimedia.org

Yes

Are an employee or contractor with wmf OR have signed an NDA.

Yes, I have a signed NDA with the foundation. (Till June 30 2019; confirmation: T217438#5022645).

Event Timeline

ssingh created this task.Apr 26 2019, 7:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2019, 7:31 PM

Mentioned in SAL (#wikimedia-operations) [2019-04-29T14:49:47Z] <herron> added uid=sukhe,ou=people,dc=wikimedia,dc=org to nda ldap group T221990

herron closed this task as Resolved.Apr 29 2019, 2:52 PM
herron added a subscriber: herron.

uid=sukhe,ou=people,dc=wikimedia,dc=org has been added to the NDA group. Please re-open if any follow up is needed. Thanks!

Dzahn added a subscriber: Dzahn.Apr 30 2019, 4:32 AM

Cron <accountcheck@mwmaint1002> /usr/local/bin/cross-validate-accounts says:

" sukhe is in nda group, but registered with a WMF account"


Looks like we should use 'wmf' group instead of the 'nda' group.

Dzahn reopened this task as Open.Apr 30 2019, 4:33 AM

I wasn't sure if I should use the wmf group; the reason I picked nda is because even though I do have a WMF account, I am not an employee at the foundation. I have a signed NDA so I thought nda is probably better.

@ssingh I understand, thank you! It makes sense and i would say this is indeed a special case.

So far there has been an assumption that having a wikimedia.org account means being an employee.

I don't think we have to worry about it too much since for your Turnilo access (and almost everything else) it makes no difference which group we use.

Though we should decide whether to add exceptions in the script checking for consistency or to move you to the other group. Let me add @MoritzMuehlenhoff for more input how to handle this case.

Dzahn claimed this task.May 3 2019, 4:55 PM
Dzahn triaged this task as Low priority.
Dzahn added a subscriber: elukey.
Dzahn added a comment.May 3 2019, 8:24 PM

@MoritzMuehlenhoff What makes the most sense, move from nda to wmf, adjust the check in the script, or ..?

Move to cn=wmf, contractors with a wikimedia.org address should be part of cn=wmf, not cn=nda.

Mentioned in SAL (#wikimedia-operations) [2019-05-06T21:59:02Z] <mutante> LDAP - remove 'sukhe' from 'nda' and add to 'wmf' instead (T221990)

Dzahn closed this task as Resolved.May 6 2019, 9:59 PM
Dzahn removed Dzahn as the assignee of this task.

Move to cn=wmf, contractors with a wikimedia.org address should be part of cn=wmf, not cn=nda.

Ok, thanks. Done!

Dzahn renamed this task from LDAP access to the nda group for sukhe to LDAP access to the (nda) wmf group for sukhe.May 6 2019, 9:59 PM